<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="da">
<head>
<!-- Generated by javadoc (1.8.0_151) on Fri May 03 08:42:01 CEST 2019 -->
<title>R-Index</title>
<meta name="date" content="2019-05-03">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="R-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-8.html">Prev Letter</a></li>
<li><a href="index-10.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-9.html" target="_top">Frames</a></li>
<li><a href="index-9.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">M</a>&nbsp;<a href="index-8.html">P</a>&nbsp;<a href="index-9.html">R</a>&nbsp;<a href="index-10.html">S</a>&nbsp;<a href="index-11.html">T</a>&nbsp;<a href="index-12.html">U</a>&nbsp;<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="../clothorganizer/FileHandler.html#rename-int-java.lang.String-">rename(int, String)</a></span> - Method in class clothorganizer.<a href="../clothorganizer/FileHandler.html" title="class in clothorganizer">FileHandler</a></dt>
<dd>
<div class="block">Renames a piece of clothing.</div>
</dd>
<dt><span class="memberNameLink"><a href="../clothorganizer/Protocol.html#RENAME">RENAME</a></span> - Static variable in interface clothorganizer.<a href="../clothorganizer/Protocol.html" title="interface in clothorganizer">Protocol</a></dt>
<dd>
<div class="block">This protocol is used to rename clothing.</div>
</dd>
<dt><span class="memberNameLink"><a href="../clothorganizer/Protocol.html#REQUEST">REQUEST</a></span> - Static variable in interface clothorganizer.<a href="../clothorganizer/Protocol.html" title="interface in clothorganizer">Protocol</a></dt>
<dd>
<div class="block">This protocol is used for data requests from the client.</div>
</dd>
<dt><a href="../clothorganizer/RFIDHandler.html" title="class in clothorganizer"><span class="typeNameLink">RFIDHandler</span></a> - Class in <a href="../clothorganizer/package-summary.html">clothorganizer</a></dt>
<dd>
<div class="block">RFIDHandler controls the serial communication with the arduino.</div>
</dd>
<dt><span class="memberNameLink"><a href="../clothorganizer/AppHandler.html#run--">run()</a></span> - Method in class clothorganizer.<a href="../clothorganizer/AppHandler.html" title="class in clothorganizer">AppHandler</a></dt>
<dd>
<div class="block">The run method is an endless cycle of listening and responding to the client.</div>
</dd>
<dt><span class="memberNameLink"><a href="../clothorganizer/RFIDHandler.html#run--">run()</a></span> - Method in class clothorganizer.<a href="../clothorganizer/RFIDHandler.html" title="class in clothorganizer">RFIDHandler</a></dt>
<dd>
<div class="block">Tries to find a USB connected arduino.</div>
</dd>
<dt><span class="memberNameLink"><a href="../clothorganizer/Server.html#run--">run()</a></span> - Method in class clothorganizer.<a href="../clothorganizer/Server.html" title="class in clothorganizer">Server</a></dt>
<dd>
<div class="block">The run method listens for app's trying to connect to this program and creates new AppHandler's for each client.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">M</a>&nbsp;<a href="index-8.html">P</a>&nbsp;<a href="index-9.html">R</a>&nbsp;<a href="index-10.html">S</a>&nbsp;<a href="index-11.html">T</a>&nbsp;<a href="index-12.html">U</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-8.html">Prev Letter</a></li>
<li><a href="index-10.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-9.html" target="_top">Frames</a></li>
<li><a href="index-9.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
